Index: TvEngine3/TVLibrary/SetupTv/58_upgrade_sqlserver_database.sql
===================================================================
--- TvEngine3/TVLibrary/SetupTv/58_upgrade_sqlserver_database.sql	(revision 0)
+++ TvEngine3/TVLibrary/SetupTv/58_upgrade_sqlserver_database.sql	(revision 0)
@@ -0,0 +1,17 @@
+use %TvLibrary%
+GO
+ 
+ALTER TABLE program
+	ADD seriesId INT
+GO
+ 
+ALTER TABLE program
+	ADD seriesTermination TINYINT
+GO
+ 
+ALTER TABLE schedule
+	ADD seriesId INT
+GO
+
+UPDATE Version SET versionNumber=58
+GO
Index: TvEngine3/TVLibrary/SetupTv/Sections/Dialogs/SkyDefaultTransponderSetup.cs
===================================================================
--- TvEngine3/TVLibrary/SetupTv/Sections/Dialogs/SkyDefaultTransponderSetup.cs	(revision 0)
+++ TvEngine3/TVLibrary/SetupTv/Sections/Dialogs/SkyDefaultTransponderSetup.cs	(revision 0)
@@ -0,0 +1,140 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Text;
+using System.Windows.Forms;
+using TvDatabase;
+using TvLibrary.Implementations;
+using TvLibrary.Implementations.Helper.Providers;
+
+namespace SetupTv.Sections.Dialogs
+{
+  public partial class SkyDefaultTransponderSetup : Form
+  {
+    /// <summary>
+    /// Sky country
+    /// </summary>
+    public enum eSkyCounntry
+    {
+      UK,
+      Italy,
+      Australia,
+    }
+
+    /// <summary>
+    /// Sky country
+    /// </summary>
+    private readonly eSkyCounntry _skyCountry;
+
+    /// <summary>
+    /// Cstr
+    /// </summary>
+    /// <param name="country"></param>
+    public SkyDefaultTransponderSetup(eSkyCounntry country)
+    {
+      _skyCountry = country;
+
+      InitializeComponent();
+
+      LoadValues();
+
+      tbFrequency.Select(tbFrequency.Text.Length, tbFrequency.Text.Length);
+    }
+
+    /// <summary>
+    /// Loads the values into the fields
+    /// </summary>
+    private void LoadValues()
+    {
+      if (_skyCountry == eSkyCounntry.UK)
+      {
+        tbFrequency.Text = SkyUK.Instance.DefaultTransponderFrequency.ToString();
+        tbSymbolRate.Text = SkyUK.Instance.DefaultTransponderSymbolRate.ToString();
+        tbNetworkId.Text = SkyUK.Instance.NetworkId.ToString("X");
+
+        cbPolarisation.SelectedItem = SkyUK.Instance.DefaultTransponderPolarisationString;
+        cbFEC.SelectedItem = SkyUK.Instance.DefaultTransponderInnerFECString;
+      }
+
+      if (_skyCountry == eSkyCounntry.Italy)
+      {
+        tbFrequency.Text = SkyItaly.Instance.DefaultTransponderFrequency.ToString();
+        tbSymbolRate.Text = SkyItaly.Instance.DefaultTransponderSymbolRate.ToString();
+        tbNetworkId.Text = SkyItaly.Instance.NetworkId.ToString("X");
+
+        cbPolarisation.SelectedItem = SkyItaly.Instance.DefaultTransponderPolarisationString;
+        cbFEC.SelectedItem = SkyItaly.Instance.DefaultTransponderInnerFECString;
+      }
+    }
+    /// <summary>
+    /// Fired when the save button is clicked
+    /// </summary>
+    /// <param name="sender"></param>
+    /// <param name="e"></param>
+    private void btSave_Click(object sender, EventArgs e)
+    {
+      string frequencyString = tbFrequency.Text;
+      int frequency = 0;
+
+      if (!int.TryParse(frequencyString, out frequency))
+      {
+        MessageBox.Show("Please enter a valid number for frequency", "Validation");
+        return;
+      }
+
+      string symbolRateString = tbSymbolRate.Text;
+      int symbolRate = 0;
+
+      if (!int.TryParse(symbolRateString, out symbolRate))
+      {
+        MessageBox.Show("Please enter a valid number for symbol rate", "Validation");
+        return;
+      }
+
+      string networkIdString = tbNetworkId.Text;
+      int networkId = 0;
+
+      if (!int.TryParse(networkIdString, System.Globalization.NumberStyles.HexNumber, null, out networkId))
+      {
+        MessageBox.Show("Please enter a valid number for network id", "Validation");
+        return;
+      }
+
+      if (_skyCountry == eSkyCounntry.UK)
+      {
+        SkyUK.Instance.DefaultTransponderFrequency = frequency;
+        SkyUK.Instance.DefaultTransponderPolarisationString = cbPolarisation.SelectedItem as string;
+        SkyUK.Instance.DefaultTransponderSymbolRate = symbolRate;
+        SkyUK.Instance.DefaultTransponderInnerFECString = cbFEC.SelectedItem as string;
+        SkyUK.Instance.NetworkId = networkId;
+      }
+
+      if (_skyCountry == eSkyCounntry.Italy)
+      {
+        SkyItaly.Instance.DefaultTransponderFrequency = frequency;
+        SkyItaly.Instance.DefaultTransponderPolarisationString = cbPolarisation.SelectedItem as string;
+        SkyItaly.Instance.DefaultTransponderSymbolRate = symbolRate;
+        SkyItaly.Instance.DefaultTransponderInnerFECString = cbFEC.SelectedItem as string;
+        SkyItaly.Instance.NetworkId = networkId;
+      }
+
+      DialogResult = DialogResult.OK;
+
+      Close();
+    }
+
+    /// <summary>
+    /// Fired when the cancel button is clicked
+    /// </summary>
+    /// <param name="sender"></param>
+    /// <param name="e"></param>
+    private void btCancel_Click(object sender, EventArgs e)
+    {
+      DialogResult = DialogResult.Cancel;
+
+      Close();
+    }
+  }
+}
Index: TvEngine3/TVLibrary/SetupTv/Sections/Dialogs/SkyDefaultTransponderSetup.Designer.cs
===================================================================
--- TvEngine3/TVLibrary/SetupTv/Sections/Dialogs/SkyDefaultTransponderSetup.Designer.cs	(revision 0)
+++ TvEngine3/TVLibrary/SetupTv/Sections/Dialogs/SkyDefaultTransponderSetup.Designer.cs	(revision 0)
@@ -0,0 +1,214 @@
+﻿namespace SetupTv.Sections.Dialogs
+{
+  partial class SkyDefaultTransponderSetup
+  {
+    /// <summary>
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary>
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing)
+    {
+      if (disposing && (components != null))
+      {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Windows Form Designer generated code
+
+    /// <summary>
+    /// Required method for Designer support - do not modify
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent()
+    {
+      this.lbFrequency = new MediaPortal.UserInterface.Controls.MPLabel();
+      this.tbFrequency = new MediaPortal.UserInterface.Controls.MPTextBox();
+      this.cbPolarisation = new MediaPortal.UserInterface.Controls.MPComboBox();
+      this.tbSymbolRate = new MediaPortal.UserInterface.Controls.MPTextBox();
+      this.tbNetworkId = new MediaPortal.UserInterface.Controls.MPTextBox();
+      this.cbFEC = new MediaPortal.UserInterface.Controls.MPComboBox();
+      this.lbPolarisation = new MediaPortal.UserInterface.Controls.MPLabel();
+      this.lbSymbolRate = new MediaPortal.UserInterface.Controls.MPLabel();
+      this.lbFEC = new MediaPortal.UserInterface.Controls.MPLabel();
+      this.lbNetworkId = new MediaPortal.UserInterface.Controls.MPLabel();
+      this.btSave = new MediaPortal.UserInterface.Controls.MPButton();
+      this.btCancel = new MediaPortal.UserInterface.Controls.MPButton();
+      this.SuspendLayout();
+      // 
+      // lbFrequency
+      // 
+      this.lbFrequency.AutoSize = true;
+      this.lbFrequency.Location = new System.Drawing.Point(17, 15);
+      this.lbFrequency.Name = "lbFrequency";
+      this.lbFrequency.Size = new System.Drawing.Size(83, 13);
+      this.lbFrequency.TabIndex = 0;
+      this.lbFrequency.Text = "Frequency (khz)";
+      // 
+      // tbFrequency
+      // 
+      this.tbFrequency.Location = new System.Drawing.Point(106, 12);
+      this.tbFrequency.Name = "tbFrequency";
+      this.tbFrequency.Size = new System.Drawing.Size(100, 20);
+      this.tbFrequency.TabIndex = 1;
+      // 
+      // cbPolarisation
+      // 
+      this.cbPolarisation.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
+      this.cbPolarisation.FormattingEnabled = true;
+      this.cbPolarisation.Items.AddRange(new object[] {
+            "Horizontal",
+            "Vertical",
+            "Circular Left",
+            "Circular Right"});
+      this.cbPolarisation.Location = new System.Drawing.Point(106, 38);
+      this.cbPolarisation.Name = "cbPolarisation";
+      this.cbPolarisation.Size = new System.Drawing.Size(100, 21);
+      this.cbPolarisation.TabIndex = 2;
+      // 
+      // tbSymbolRate
+      // 
+      this.tbSymbolRate.Location = new System.Drawing.Point(106, 65);
+      this.tbSymbolRate.Name = "tbSymbolRate";
+      this.tbSymbolRate.Size = new System.Drawing.Size(100, 20);
+      this.tbSymbolRate.TabIndex = 3;
+      // 
+      // tbNetworkId
+      // 
+      this.tbNetworkId.Location = new System.Drawing.Point(106, 118);
+      this.tbNetworkId.Name = "tbNetworkId";
+      this.tbNetworkId.Size = new System.Drawing.Size(100, 20);
+      this.tbNetworkId.TabIndex = 4;
+      // 
+      // cbFEC
+      // 
+      this.cbFEC.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
+      this.cbFEC.FormattingEnabled = true;
+      this.cbFEC.Items.AddRange(new object[] {
+            "1/2",
+            "1/3",
+            "1/4",
+            "2/3",
+            "2/5",
+            "3/4",
+            "3/5",
+            "4/5",
+            "5/11",
+            "5/6",
+            "7/8",
+            "8/9",
+            "9/10"});
+      this.cbFEC.Location = new System.Drawing.Point(106, 91);
+      this.cbFEC.Name = "cbFEC";
+      this.cbFEC.Size = new System.Drawing.Size(100, 21);
+      this.cbFEC.TabIndex = 5;
+      // 
+      // lbPolarisation
+      // 
+      this.lbPolarisation.AutoSize = true;
+      this.lbPolarisation.Location = new System.Drawing.Point(17, 41);
+      this.lbPolarisation.Name = "lbPolarisation";
+      this.lbPolarisation.Size = new System.Drawing.Size(61, 13);
+      this.lbPolarisation.TabIndex = 6;
+      this.lbPolarisation.Text = "Polarisation";
+      // 
+      // lbSymbolRate
+      // 
+      this.lbSymbolRate.AutoSize = true;
+      this.lbSymbolRate.Location = new System.Drawing.Point(17, 68);
+      this.lbSymbolRate.Name = "lbSymbolRate";
+      this.lbSymbolRate.Size = new System.Drawing.Size(62, 13);
+      this.lbSymbolRate.TabIndex = 7;
+      this.lbSymbolRate.Text = "Symbol rate";
+      // 
+      // lbFEC
+      // 
+      this.lbFEC.AutoSize = true;
+      this.lbFEC.Location = new System.Drawing.Point(17, 94);
+      this.lbFEC.Name = "lbFEC";
+      this.lbFEC.Size = new System.Drawing.Size(27, 13);
+      this.lbFEC.TabIndex = 8;
+      this.lbFEC.Text = "FEC";
+      // 
+      // lbNetworkId
+      // 
+      this.lbNetworkId.AutoSize = true;
+      this.lbNetworkId.Location = new System.Drawing.Point(18, 121);
+      this.lbNetworkId.Name = "lbNetworkId";
+      this.lbNetworkId.Size = new System.Drawing.Size(81, 13);
+      this.lbNetworkId.TabIndex = 9;
+      this.lbNetworkId.Text = "Network ID (0x)";
+      // 
+      // btSave
+      // 
+      this.btSave.Location = new System.Drawing.Point(37, 163);
+      this.btSave.Name = "btSave";
+      this.btSave.Size = new System.Drawing.Size(75, 25);
+      this.btSave.TabIndex = 10;
+      this.btSave.Text = "Save";
+      this.btSave.UseVisualStyleBackColor = true;
+      this.btSave.Click += new System.EventHandler(this.btSave_Click);
+      // 
+      // btCancel
+      // 
+      this.btCancel.Location = new System.Drawing.Point(118, 163);
+      this.btCancel.Name = "btCancel";
+      this.btCancel.Size = new System.Drawing.Size(75, 25);
+      this.btCancel.TabIndex = 11;
+      this.btCancel.Text = "Cancel";
+      this.btCancel.UseVisualStyleBackColor = true;
+      this.btCancel.Click += new System.EventHandler(this.btCancel_Click);
+      // 
+      // SkyDefaultTransponderSetup
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.ClientSize = new System.Drawing.Size(231, 200);
+      this.Controls.Add(this.btCancel);
+      this.Controls.Add(this.btSave);
+      this.Controls.Add(this.lbNetworkId);
+      this.Controls.Add(this.lbFEC);
+      this.Controls.Add(this.lbSymbolRate);
+      this.Controls.Add(this.lbPolarisation);
+      this.Controls.Add(this.cbFEC);
+      this.Controls.Add(this.tbNetworkId);
+      this.Controls.Add(this.tbSymbolRate);
+      this.Controls.Add(this.cbPolarisation);
+      this.Controls.Add(this.tbFrequency);
+      this.Controls.Add(this.lbFrequency);
+      this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
+      this.MaximizeBox = false;
+      this.MinimizeBox = false;
+      this.Name = "SkyDefaultTransponderSetup";
+      this.ShowIcon = false;
+      this.ShowInTaskbar = false;
+      this.SizeGripStyle = System.Windows.Forms.SizeGripStyle.Hide;
+      this.StartPosition = System.Windows.Forms.FormStartPosition.CenterParent;
+      this.Text = "Default transponder setup";
+      this.ResumeLayout(false);
+      this.PerformLayout();
+
+    }
+
+    #endregion
+
+    private MediaPortal.UserInterface.Controls.MPLabel lbFrequency;
+    private MediaPortal.UserInterface.Controls.MPTextBox tbFrequency;
+    private MediaPortal.UserInterface.Controls.MPComboBox cbPolarisation;
+    private MediaPortal.UserInterface.Controls.MPTextBox tbSymbolRate;
+    private MediaPortal.UserInterface.Controls.MPTextBox tbNetworkId;
+    private MediaPortal.UserInterface.Controls.MPComboBox cbFEC;
+    private MediaPortal.UserInterface.Controls.MPLabel lbPolarisation;
+    private MediaPortal.UserInterface.Controls.MPLabel lbSymbolRate;
+    private MediaPortal.UserInterface.Controls.MPLabel lbFEC;
+    private MediaPortal.UserInterface.Controls.MPLabel lbNetworkId;
+    private MediaPortal.UserInterface.Controls.MPButton btSave;
+    private MediaPortal.UserInterface.Controls.MPButton btCancel;
+  }
+}
Index: TvEngine3/TVLibrary/SetupTv/Sections/ImportExport.cs
===================================================================
--- TvEngine3/TVLibrary/SetupTv/Sections/ImportExport.cs	(revision 27484)
+++ TvEngine3/TVLibrary/SetupTv/Sections/ImportExport.cs	(working copy)
@@ -219,6 +219,7 @@
           AddAttribute(nodeSchedule, "RecommendedCard", schedule.RecommendedCard);
           AddAttribute(nodeSchedule, "ScheduleType", schedule.ScheduleType);
           AddAttribute(nodeSchedule, "Series", schedule.Series);
+          AddAttribute(nodeSchedule, "SeriesId", schedule.SeriesId);
           nodeSchedules.AppendChild(nodeSchedule);
         }
         rootElement.AppendChild(nodeSchedules);
@@ -720,6 +721,7 @@
               schedule.RecommendedCard = Int32.Parse(nodeSchedule.Attributes["RecommendedCard"].Value);
               schedule.ScheduleType = Int32.Parse(nodeSchedule.Attributes["ScheduleType"].Value);
               schedule.Series = (GetNodeAttribute(nodeSchedule, "Series", "False") == "True");
+              schedule.SeriesId = Int32.Parse((nodeSchedule.Attributes["SeriesId"] != null ? nodeSchedule.Attributes["SeriesId"].Value : "0"));
               if (idChannel > -1)
               {
                 schedule.Persist();
Index: C:/Projects/Clean Working Copies/MediaPortal trunk/TvEngine3/TVLibrary/SetupTv/Sections/ProviderEpgGrabber.cs
===================================================================
--- C:/Projects/Clean Working Copies/MediaPortal trunk/TvEngine3/TVLibrary/SetupTv/Sections/ProviderEpgGrabber.cs	(revision 0)
+++ C:/Projects/Clean Working Copies/MediaPortal trunk/TvEngine3/TVLibrary/SetupTv/Sections/ProviderEpgGrabber.cs	(revision 0)
@@ -0,0 +1,151 @@
+#region Copyright (C) 2005-2010 Team MediaPortal
+
+// Copyright (C) 2005-2010 Team MediaPortal
+// http://www.team-mediaportal.com
+// 
+// MediaPortal is free software: you can redistribute it and/or modify
+// it under the terms of the GNU General Public License as published by
+// the Free Software Foundation, either version 2 of the License, or
+// (at your option) any later version.
+// 
+// MediaPortal is distributed in the hope that it will be useful,
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+// GNU General Public License for more details.
+// 
+// You should have received a copy of the GNU General Public License
+// along with MediaPortal. If not, see <http://www.gnu.org/licenses/>.
+
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Windows.Forms;
+using TvControl;
+using Gentle.Framework;
+using TvDatabase;
+using TvLibrary.Log;
+using TvLibrary.Interfaces;
+using MediaPortal.UserInterface.Controls;
+using SetupTv.Sections.Dialogs;
+using TvLibrary.Implementations;
+using TvLibrary.Implementations.Helper.Providers;
+
+namespace SetupTv.Sections
+{
+  public partial class ProviderEPGs : SectionSettings
+  {
+
+    public ProviderEPGs()
+      : base("Provider Epgs") 
+    {
+        InitializeComponent();
+    }
+
+    public override void LoadSettings()
+    {
+      LoadSkyUKSettings();
+      LoadSkyItalySettings();
+
+      base.LoadSettings();
+    }
+
+    /// <summary>
+    /// Loads the settings fo Sky UK
+    /// </summary>
+    private void LoadSkyUKSettings()
+    {
+      lbSkyUKFrequencyValue.Text = SkyUK.Instance.DefaultTransponderFrequency.ToString();
+      lbSkyUKPolarisationValue.Text = SkyUK.Instance.DefaultTransponderPolarisationString;
+      lbSkyUKSymbolRateValue.Text = SkyUK.Instance.DefaultTransponderSymbolRate.ToString();
+      lbSkyUKFECValue.Text = SkyUK.Instance.DefaultTransponderInnerFECString;
+
+      lbSkyUKNetworkIdValue.Text = "0x" + SkyUK.Instance.NetworkId.ToString("X");
+
+      cbGrabSkyUKEpg.Checked = SkyUK.Instance.EPGGrabbingEnabled;
+    }
+
+    /// <summary>
+    /// Loads the settings for Sky Italy
+    /// </summary>
+    private void LoadSkyItalySettings()
+    {
+      lbSkyItalyFrequencyValue.Text = SkyItaly.Instance.DefaultTransponderFrequency.ToString();
+      lbSkyItalyPolarisationValue.Text = SkyItaly.Instance.DefaultTransponderPolarisationString;
+      lbSkyItalySymbolRateValue.Text = SkyItaly.Instance.DefaultTransponderSymbolRate.ToString();
+      lbSkyItalyFECValue.Text = SkyItaly.Instance.DefaultTransponderInnerFECString;
+
+      lbSkyItalyNetworkIdValue.Text = "0x" + SkyItaly.Instance.NetworkId.ToString("X");
+
+      cbGrabSkyItalyEpg.Checked = SkyItaly.Instance.EPGGrabbingEnabled;
+    }
+
+    public override void SaveSettings()
+    {
+      SkyUK.Instance.EPGGrabbingEnabled = cbGrabSkyUKEpg.Checked;
+      SkyItaly.Instance.EPGGrabbingEnabled = cbGrabSkyItalyEpg.Checked;
+
+      base.SaveSettings();
+    }
+
+    /// <summary>
+    /// Fired when the edit default sky uk transponder button is clicked
+    /// </summary>
+    /// <param name="sender"></param>
+    /// <param name="e"></param>
+    private void btEditDefaultSkyUKTransponder_Click(object sender, EventArgs e)
+    {
+      SkyDefaultTransponderSetup defaultTransponderSetup = new SkyDefaultTransponderSetup(SkyDefaultTransponderSetup.eSkyCounntry.UK);
+      DialogResult result = defaultTransponderSetup.ShowDialog();
+
+      //  If ok was clicked, reload the sky uk settings
+      if (result == DialogResult.OK)
+        LoadSkyUKSettings();
+    }
+
+    /// <summary>
+    /// Fired when the reset sky uk default transponder settings button is clicked
+    /// </summary>
+    /// <param name="sender"></param>
+    /// <param name="e"></param>
+    private void btResetDefaultSkyUKTransponder_Click(object sender, EventArgs e)
+    {
+      if (MessageBox.Show("This will reset the parameters for the default transponder.\r\n\r\nAre you sure?", "Confirm", MessageBoxButtons.YesNo) == DialogResult.Yes)
+      {
+        SkyUK.Instance.ResetDefaultTransponderParameters();
+        LoadSkyUKSettings();
+      }
+    }
+
+    /// <summary>
+    /// Fired when the edit Sky Italy default transponder parameters button is clicked
+    /// </summary>
+    /// <param name="sender"></param>
+    /// <param name="e"></param>
+    private void btEditSkyItalyDefaultTransponder_Click(object sender, EventArgs e)
+    {
+      SkyDefaultTransponderSetup defaultTransponderSetup = new SkyDefaultTransponderSetup(SkyDefaultTransponderSetup.eSkyCounntry.Italy);
+      DialogResult result = defaultTransponderSetup.ShowDialog();
+
+      //  If ok was clicked, reload the sky uk settings
+      if (result == DialogResult.OK)
+        LoadSkyItalySettings();
+    }
+
+    /// <summary>
+    /// Fired when the reset Sky Italy default transponder parameters button is clicked
+    /// </summary>
+    /// <param name="sender"></param>
+    /// <param name="e"></param>
+    private void btResetSkyItalyDefaultTransponder_Click(object sender, EventArgs e)
+    {
+      if (MessageBox.Show("This will reset the parameters for the default transponder.\r\n\r\nAre you sure?", "Confirm", MessageBoxButtons.YesNo) == DialogResult.Yes)
+      {
+        SkyItaly.Instance.ResetDefaultTransponderParameters();
+        LoadSkyItalySettings();
+      }
+    }
+
+
+  }
+}
